Galaxietool Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000686Galaxietool(No Category)public2012-09-21 20:272013-03-25 01:20
ReporterOmar Hawk 
Assigned ToeX0du5 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version5.0 
Target VersionFixed in Version5.1 
Summary0000686: Fatal Error at the login page under certain circumstances
DescriptionFatal error: Call to a member function get_logon_version() on a non-object in /var/www/web149/html/galaxytool/secret/includes/logincheck.inc.php on line 31

[20:22:28] <Omar_Hawk> wann kam das?
[20:22:33] <Omar_Hawk> direkt bei Login?
[20:23:40] <z0nK> ne beim aufrufen der login seite
[20:23:47] <z0nK> das war ja das komische
[20:23:52] <z0nK> und zwar auch ned bei mir
[20:23:59] <z0nK> sondern bei einem member
[20:24:11] <z0nK> er war während des updastes aber auch eingeloggt quasi


[21:47:30] <NurPech> bei dem update kommt jetzt beim Versuch des einloggens: Notice: Undefined index: s_auth in /home/www/nurpech.de/htdocs/galaxietool/de/leo/omg/secret/includes/logincheck.inc.php on line 31 Fatal error: Call to a member function get_logon_version() on a non-object in /home/www/nurpech.de/htdocs/galaxietool/de/leo/omg/secret/includes/logincheck.inc.php on line 31

also something similar:
Fatal error: main() [<a href='function.main'>function.main</a>]: The script tried to execute a method or access a property of an incomplete object. Please ensure that the class definition "Authorization" of the object you are trying to operate on was loaded _before_ unserialize() gets called or provide a __autoload() function to load the class definition in /kfidc/home/jupiter/html/galaxytool/secret/includes/logincheck.inc.php on line 31
(PHP version 5.3.13)
http://board.galaxytool.eu/index.php?topic=1205.0 [^]
TagsNo tags attached.
Browser and Browser Version
Hoster
MySQL Version
PHP Version
rev
Attached Files

- Relationships

-  Notes
(0001587)
eX0du5 (manager)
2012-09-24 22:01

Issue 1 is solved in 5.0.1.

The last issue occurs only on this particular server and seems to be a bug within php itself. I call REQUIRE for the file that contains the object which needs to be deserialized from s_auth and call session_start after this has been included.
After session start, the logincheck file is loaded which must then know the logincheck object or must be able to deserialize it.
As this works quite well on all other installations I cannot find a reason why it should be a code issue in the Galaxytool.
(0001590)
Omar Hawk (manager)
2012-09-25 21:57
edited on: 2012-09-25 23:32

I have another user, who has the last issue:
mysql v5.1.63, php v5.2.17 (eru in IRC)

Maybe, we could do the things proposed in the error message (providing an __autoload() function)

(0001641)
eX0du5 (manager)
2013-03-25 01:20

Next version has autoload functionality included.

- Issue History
Date Modified Username Field Change
2012-09-21 20:27 Omar Hawk New Issue
2012-09-21 20:27 Omar Hawk Status new => assigned
2012-09-21 20:27 Omar Hawk Assigned To => eX0du5
2012-09-21 20:27 Omar Hawk Summary Fatal Error at the login page => Fatal Error at the login page und certain circumstances
2012-09-22 21:49 Omar Hawk Description Updated View Revisions
2012-09-22 21:49 Omar Hawk Additional Information Updated View Revisions
2012-09-22 22:44 Omar Hawk Summary Fatal Error at the login page und certain circumstances => Fatal Error at the login page under certain circumstances
2012-09-24 17:45 Omar Hawk Description Updated View Revisions
2012-09-24 18:08 Omar Hawk Description Updated View Revisions
2012-09-24 22:01 eX0du5 Note Added: 0001587
2012-09-25 21:57 Omar Hawk Note Added: 0001590
2012-09-25 21:58 Omar Hawk Note Edited: 0001590 View Revisions
2012-09-25 23:32 Omar Hawk Note Edited: 0001590 View Revisions
2012-09-25 23:32 Omar Hawk Note Edited: 0001590 View Revisions
2013-03-25 01:20 eX0du5 Note Added: 0001641
2013-03-25 01:20 eX0du5 Status assigned => resolved
2013-03-25 01:20 eX0du5 Fixed in Version => 5.1
2013-03-25 01:20 eX0du5 Resolution open => fixed



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker